BGLPP(1)

NAME
bglpp - a Scheme Pretty Printer

SYNOPSIS
bglpp [ options ] sourcefile

DESCRIPTION
bglpp reads sourcefile one at a time and pretty print them. Normally bglpp output its result on the standard output device.

OPTIONS

-o <file>
    Output files to file.

-comment
    Don't output any Scheme comments.

-upper
    Translate identifiers to upper case.

-lower
    Translate identifiers to lower case.

-w<width>
    Set output device column width.

EXAMPLE
To pretty print the file ``foo.scm'' translating identifier to lower case, for an output device with 50 columns: ``bglpp foo.scm -w50 -lower''.

SEE ALSO
bigloo(1), indent(1), cb(1)

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr